# Flutter location_service_mix Plugin  

[![pub package](https://img.shields.io/pub/v/location_service_mix.svg)](https://pub.dev/packages/location_service_mix) 


## Features

- Location service helper class that can use multiple location services at the same time.

  - system ✅
  - baidu ✅
  - amap (TODO)
  - hms core (TODO)
- Auto transform CRS to GCJ02 in mainland China.
  Or you can set the CRS manually

## Getting started

Add this to your package's pubspec.yaml file:

```dart
dependencies:
  location_service_mix: ^1.0.10
```

## Configure

#### 1. Configure baidu lbs sdk api keys:

Edit  *android/app/src/Manifest.xml*, and add the following code in `<Application>` Node:

```
<meta-data
    android:name="com.baidu.lbsapi.API_KEY"
    android:value="YOUR API KEY" />
```

## Usage

```dart
import 'package:location_service_mix/location_service_mix.dart';

LocationServiceMix().getLocation().then((location) {
      print(location);
    });

```

or

```dart
import 'package:location_service_mix/location_service_mix.dart';

LocationData location = await LocationServiceMix().getLocation();
print(location);

```
