import 'package:location_service_mix/src/types.dart';
import 'package:geolocator/geolocator.dart';

class LocationServiceProviderAmap implements LocationServiceProvider {
  @override
  String name = 'amap';

  LocationServiceProviderAmap();

  @override
  Future<LocationData> getLocation() async {
    Position? position;

    try {
      position = await Geolocator.getLastKnownPosition(
          forceAndroidLocationManager: true);

      position ??= await Geolocator.getCurrentPosition(
          desiredAccuracy: LocationAccuracy.high,
          forceAndroidLocationManager: true,
          timeLimit: const Duration(seconds: 5));
    } catch (e) {
      print(e);
    }

    return LocationData(
        latitude: position?.latitude ?? 0,
        longitude: position?.longitude ?? 0,
        crs: CRS.wgs84,
        provider: name);
  }
}
